import java.io.*;

public class Translit 
{ 
    // one to one
    static final String t_table1 = "akhblvmgndoep'rsjyztiufc";
    static final String w_table1 = "";

    // standard transliteral to russian multiletter translation
    static final String[] t_table2 = new String[]{"ts", "ch", "sh'", "sh", "yo", "''",  "e'", "yu", "i'", "ya" };
    static final String   w_table2 =  "";

    // application specific context sensitive translations
    static final String[] t_table3 = new String[]{"m. ", "aya", "ay", "eya", "ey", "ts", "oy", "gh", "iya", "iy", "yy", "-oy", "-ya", "-y"};
    static final String[] w_table3 = new String[]{" ", "", "", "", "", "", "", "", "", "", "", "-", "-", "-"};

    // Prefixes which should be moved after word to improve search
    static final String[] prefixes = new String[]{"ul.", "pr.", "prosp."};

    // Sufixes which should be removed to save space
    static final String[] suffixes = new String[]{" ul."};

    public static String translit2win(String str)   
    {  
        str = str.toLowerCase();
        StringBuffer strBuf = new StringBuffer();

        for (int i = 0; i < prefixes.length; i++) 
        { 
            if (str.startsWith(prefixes[i])) 
            { 
                int n = prefixes[i].length();
                str = str.substring(n).trim() + ' ' + str.substring(0, n);
                break;
            }
        }
        for (int i = 0; i < suffixes.length; i++) 
        { 
            if (str.endsWith(suffixes[i])) 
            { 
                str = str.substring(0, str.length() - suffixes[i].length());
                break;
            }
        }
        int len = str.length();  
        loop:
            for (int i = 0; i < len; i++) 
            {  
                String suffix = str.substring(i);
                // Check context sensitive translations  
                for (int j = 0; j < t_table3.length; j++) 
                { 
                    if (suffix.startsWith(t_table3[j])) 
                    { 
                        strBuf.append(w_table3[j]);
                        i += t_table3[j].length()-1;
                        continue loop;
                    }
                }
                // Check for 2-character letters  
                for (int j = 0; j < t_table2.length; j++) 
                { 
                    if (suffix.startsWith(t_table2[j])) 
                    { 
                        strBuf.append(w_table2.charAt(j));
                        i += t_table2[j].length()-1;
                        continue loop;
                    }
                }
                char c = str.charAt(i);  
                int pos = t_table1.indexOf(c);  
                if (pos < 0) 
                { 
                    strBuf.append(c);  
                } 
                else 
                { 
                    strBuf.append(w_table1.charAt(pos));  
                }  
            }
        return strBuf.toString();  
    }

    static public final void main(String[] args) throws Exception 
    { 
        BufferedReader in = new BufferedReader(new FileReader(args[0]));
        PrintWriter out = new PrintWriter(new FileWriter(args[1]));
        String line;
        while ((line = in.readLine()) != null) 
        { 
            out.println(translit2win(line));
        }
        in.close();
        out.close();
    }
}
